/* You can add global styles to this file, and also import other style files */

* {
    //box-sizing: border-box;
}

html {
    min-height: 100%;
    position: relative;
    background-image: url('./assets/banners/pattern_001.png');
    background-repeat: repeat;
    background-color: white;
}

body {
    font-size: 1.2rem;
    line-height: 1.8rem;
    font-family: "Segoe UI", "Roboto", "Helvetica", "Arial", sans-serif;
    color: #666666;
    height: 100%;
    margin: 0;
    overflow-x: hidden;
    --focus-sticky-offset: calc(var(--focus-sticky-header, 0px) + var(--focus-sticky-navigation, 0px) + var(--focus-sticky-user, 0px));
    @media screen and (max-width: 1360px) {
        font-size: 0.8rem;
        line-height: 1.4rem;
    }
}

body a {
    color: #7B95A3;
    text-decoration: none;
}

p {
    margin: 0;
    padding: 0;
}

article, aside, footer, header, nav, section {
    display: block;
}

h1, h2, h3, h4, h5 {
    font-weight: 600;
    display: block;
    color: #666666;
    padding: 0;
    margin: 0;
}

h1 {
    font-size: 1.6rem;
    border-bottom: 1px solid rgba(#444444, 0.7);
    padding: 0.5rem 0;
}

h2 {
    font-size: 1.4rem;
    border-bottom: 1px solid rgba(#444444, 0.7);
    padding: 0.5rem 0;
}

h3 {
    font-size: 1.2rem;
}

h4 {
    font-size: 1.0rem;
}

h5 {
    font-size: 0.8rem;
}

textarea {
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}

label {
    font-weight: 600;
    display: block;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.background-overlay {
    background-image: url('./assets/banners/pattern_001.png');
    background-repeat: repeat;
    background-color: white;
    min-height: 100vh;
}

.header-wrap {
    position: -webkit-sticky;
    position: sticky;
    top: -210px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 1px 10px;
    z-index: 100;
}

.content-wrap {
    position: relative;
    z-index: 10;
    display: block;
    margin: 0 auto;
    padding: 1.4rem 0;
}

.header-background-wrap {
    //background-image: url('./assets/banners/mountains.jpg');
    background-image: url('./assets/banners/banner_003.jpg');
    background-size: cover;
    background-position: 50% 10%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    z-index: -1;
    background-color: #8b6e6a;
}

.header-background {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 220px;
    background: inherit;
    transform: translateY(calc(var(--translateHeader) * 1px));
    will-change: transform;
}

.layout-header {
    position: relative;
    border: 0;

    #header {
        margin: 0;
        padding: 0;
        background: none;
    }

    .logo {
        margin: 5rem 0 0 0;
        line-height: 1;
        display: flex;
        align-items: center;
        white-space: nowrap;
        min-width: 0;
        font-size: 28px;

        .logo-name {
            display: block;
            line-height: 1;
            font-size: 4rem;
            color: whitesmoke;
            text-shadow: 0px 0px 6px rgba(0, 0, 0, 0.9);

            &:hover {
                color: white;
                text-shadow: 0px 0px 6px rgba(255, 255, 255, 0.4);
            }
        }

        .logo-slogan {
            font-size: 0.9em;
            line-height: 1;
            display: block;
            padding: 0.4rem 0.5rem;
            color: white;
            text-shadow: 0px 0px 6px rgba(0, 0, 0, 0.9);
        }
    }

    .user-panel {
        cursor: pointer;
        color: rgba(255, 255, 255, 1);
        background: rgba(0, 0, 0, 0.4);
        box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.5) inset, 0px 1px 0px rgba(255, 255, 255, 0.2), 0px 0px 0px 1px rgba(255, 255, 255, 0.07), 0px 10px 10px rgba(0, 0, 0, 0.2) inset;
        border-radius: 3px;
        backdrop-filter: blur(8px);
        border-color: rgba(255, 255, 255, 0.1);
        font-weight: bold;
        -webkit-backdrop-filter: blur(8px);
        font-size: 0.7rem;

        .user-panel-text {
            padding: 0 1rem;
        }

        .user-panel-button {
            border-left: 1px solid rgba(255, 255, 255, 0.5);
        }
    }

}

.nav-bar {
    padding: 4px 0;
    position: relative;
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    background-color: rgba(0, 0, 0, 0.7);
    background-position-x: 0%;
    background-position-y: 0%;
    background-repeat: repeat;
    background-attachment: scroll;
    background-image: none;
    background-size: auto;
    background-origin: padding-box;
    background-clip: border-box;
    content: '';

    .p-menubar {
        background: none !important;
        border: none !important;
    }
    .p-menuitem {
        background: none !important;
        .p-menuitem-icon {
            color: whitesmoke !important;
        }
        .p-menuitem-link {
            border-radius: 4px !important;
            color: whitesmoke !important;
            min-width: 6rem;
            text-align: center;
            .p-menuitem-text {
                color: whitesmoke !important;
            }
            &:hover {
                background-color: rgba(255, 255, 255, 0.5) !important;
                .p-menuitem-text {
                    color: black !important;
                }
                .p-menuitem-icon {
                    color: black !important;
                }
            }
        }
    }

}

.footer-name {
    font-size: 0.6rem;

    p {
        text-align: center;
        margin: 0;
        padding: 0;
        line-height: normal;
    }
}

.p-card {
    padding: 0;
    margin: 0;
    box-shadow: 0px 0px 6px rgba(0,0,0,0.2);

    .p-card-body, .p-card-content {
        padding: 0;
        margin: 0;
    }
}

.p-breadcrumb {
    padding: 0.3rem 1rem;
}

.card-list-title {
    font-weight: 600;
    font-size: 1rem;
    padding: 0.5rem;
    margin: 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);

    em {
        display: inline-block;
        padding: 0.5rem;
    }

    span {
        display: inline-block;
    }
}
